org.eclipse.rdf4j.spin

## Class SpinParser

- java.lang.Object
- - org.eclipse.rdf4j.spin.SpinParser

-     public class SpinParser
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SpinParser.Input`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SpinParser()`
    `SpinParser(SpinParser.Input input)`
    `SpinParser(SpinParser.Input input, com.google.common.base.Function<IRI,String> wellKnownVarsMapper, com.google.common.base.Function<IRI,String> wellKnownFuncMapper)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<FunctionParser>` | `getFunctionParsers()`
    `List<TupleFunctionParser>` | `getTupleFunctionParsers()`
    `boolean` | `isStrictFunctionChecking()`
    `boolean` | `isThisUnbound(Resource subj, TripleSource store)`
    `static List<IRI>` | `orderArguments(Set<IRI> args)`
    `protected ParsedOperation` | `parse(Resource queryResource, IRI queryClass, TripleSource store)`
    `ParsedOperation` | `parse(Resource queryResource, TripleSource store)`
    `Map<IRI,Argument>` | `parseArguments(IRI moduleUri, TripleSource store)`
    `ParsedBooleanQuery` | `parseAskQuery(Resource queryResource, TripleSource store)`
    `ConstraintViolation` | `parseConstraintViolation(Resource subj, TripleSource store)`
    `ParsedGraphQuery` | `parseConstructQuery(Resource queryResource, TripleSource store)`
    `ParsedDescribeQuery` | `parseDescribeQuery(Resource queryResource, TripleSource store)`
    `ValueExpr` | `parseExpression(Value expr, TripleSource store)`
    `Function` | `parseFunction(IRI funcUri, TripleSource store)`
    `TupleFunction` | `parseMagicProperty(IRI propUri, TripleSource store)`
    `ParsedQuery` | `parseQuery(Resource queryResource, TripleSource store)`
    `Map<IRI,RuleProperty>` | `parseRuleProperties(TripleSource store)`
    `ParsedTupleQuery` | `parseSelectQuery(Resource queryResource, TripleSource store)`
    `ParsedUpdate` | `parseUpdate(Resource queryResource, TripleSource store)`
    `void` | `reset(IRI... uris)` Resets/clears any cached information about the given URIs.
    `void` | `setFunctionParsers(List<FunctionParser> functionParsers)`
    `void` | `setStrictFunctionChecking(boolean strictFunctionChecking)`
    `void` | `setTupleFunctionParsers(List<TupleFunctionParser> tupleFunctionParsers)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SpinParser

          public SpinParser()

    - #### SpinParser

          public SpinParser(SpinParser.Input input)

    - #### SpinParser

          public SpinParser(SpinParser.Input input,
                            com.google.common.base.Function<IRI,String> wellKnownVarsMapper,
                            com.google.common.base.Function<IRI,String> wellKnownFuncMapper)

  - ### Method Detail

    - #### getFunctionParsers

          public List<FunctionParser> getFunctionParsers()

    - #### setFunctionParsers

          public void setFunctionParsers(List<FunctionParser> functionParsers)

    - #### getTupleFunctionParsers

          public List<TupleFunctionParser> getTupleFunctionParsers()

    - #### setTupleFunctionParsers

          public void setTupleFunctionParsers(List<TupleFunctionParser> tupleFunctionParsers)

    - #### isStrictFunctionChecking

          public boolean isStrictFunctionChecking()

    - #### setStrictFunctionChecking

          public void setStrictFunctionChecking(boolean strictFunctionChecking)

    - #### parseRuleProperties

          public Map<IRI,RuleProperty> parseRuleProperties(TripleSource store)
                                                    throws RDF4JException

      Throws:
        `RDF4JException`

    - #### isThisUnbound

          public boolean isThisUnbound(Resource subj,
                                       TripleSource store)
                                throws RDF4JException

      Throws:
        `RDF4JException`

    - #### parseConstraintViolation

          public ConstraintViolation parseConstraintViolation(Resource subj,
                                                              TripleSource store)
                                                       throws RDF4JException

      Throws:
        `RDF4JException`

    - #### parse

          public ParsedOperation parse(Resource queryResource,
                                       TripleSource store)
                                throws RDF4JException

      Throws:
        `RDF4JException`

    - #### parseQuery

          public ParsedQuery parseQuery(Resource queryResource,
                                        TripleSource store)
                                 throws RDF4JException

      Throws:
        `RDF4JException`

    - #### parseConstructQuery

          public ParsedGraphQuery parseConstructQuery(Resource queryResource,
                                                      TripleSource store)
                                               throws RDF4JException

      Throws:
        `RDF4JException`

    - #### parseSelectQuery

          public ParsedTupleQuery parseSelectQuery(Resource queryResource,
                                                   TripleSource store)
                                            throws RDF4JException

      Throws:
        `RDF4JException`

    - #### parseAskQuery

          public ParsedBooleanQuery parseAskQuery(Resource queryResource,
                                                  TripleSource store)
                                           throws RDF4JException

      Throws:
        `RDF4JException`

    - #### parseDescribeQuery

          public ParsedDescribeQuery parseDescribeQuery(Resource queryResource,
                                                        TripleSource store)
                                                 throws RDF4JException

      Throws:
        `RDF4JException`

    - #### parseUpdate

          public ParsedUpdate parseUpdate(Resource queryResource,
                                          TripleSource store)
                                   throws RDF4JException

      Throws:
        `RDF4JException`

    - #### parse

          protected ParsedOperation parse(Resource queryResource,
                                          IRI queryClass,
                                          TripleSource store)
                                   throws RDF4JException

      Throws:
        `RDF4JException`

    - #### parseFunction

          public Function parseFunction(IRI funcUri,
                                        TripleSource store)
                                 throws RDF4JException

      Throws:
        `RDF4JException`

    - #### parseMagicProperty

          public TupleFunction parseMagicProperty(IRI propUri,
                                                  TripleSource store)
                                           throws RDF4JException

      Throws:
        `RDF4JException`

    - #### parseArguments

          public Map<IRI,Argument> parseArguments(IRI moduleUri,
                                                  TripleSource store)
                                           throws RDF4JException

      Throws:
        `RDF4JException`

    - #### parseExpression

          public ValueExpr parseExpression(Value expr,
                                           TripleSource store)
                                    throws RDF4JException

      Throws:
        `RDF4JException`

    - #### reset

          public void reset(IRI... uris)

      Resets/clears any cached information about the given URIs.
      Parameters:
        `uris` - if none are specified all cached information is cleared.

    - #### orderArguments

          public static List<IRI> orderArguments(Set<IRI> args)

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.